Executes a transaction with one or more postings to move funds between ledger accounts. Returns 202 Accepted when the request is queued for processing.
Reference identifier linking transaction to its origin. For payment-originated transactions, this contains the payment identification. Used to trace transactions back to their source system.
Correlation identifier for tracking the request through events
Example:
"550e8400-e29b-41d4-a716-446655440000"
Last modified on March 31, 2026
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Inventi Payment Platform","colors":{"primary":"#16A34A","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/inventi/vYl_CweoKVMNP1A3/logo/light.svg?fit=max\u0026auto=format\u0026n=vYl_CweoKVMNP1A3\u0026q=85\u0026s=fb94419eace1a10bbe867e3dc7b6eadc","dark":"https://mintcdn.com/inventi/vYl_CweoKVMNP1A3/logo/dark.svg?fit=max\u0026auto=format\u0026n=vYl_CweoKVMNP1A3\u0026q=85\u0026s=f2eed9f63e04700960704525c36954c4"},"favicon":"https://mintcdn.com/inventi/NpaE2KS6XJQTKSBA/favicon.ico?fit=max\u0026auto=format\u0026n=NpaE2KS6XJQTKSBA\u0026q=85\u0026s=d7d2f755b5fb2027bd8a40d12bebe4a9","api":{"playground":{"proxy":true}},"navbar":{"links":[]},"footer":{"socials":{"x":"https://x.com/mintlify","github":"https://github.com/mintlify","linkedin":"https://linkedin.com/company/mintlify"}},"interaction":{"drilldown":true},"metadata":{"timestamp":true},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"inventi","hasAudioNarration":false,"actualSubdomain":"inventi","customDomains":["docs.finventi.com"],"gitSource":{"type":"github","owner":"inventi","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aee0a2e637c395c881a14db","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"Payments","count":101},{"language":"default","tag":"Regulatory","count":81},{"language":"default","tag":"Regulatory Reporting Connector","count":72},{"language":"default","tag":"API","count":58},{"language":"default","tag":"Ledger","count":47},{"language":"default","tag":"Webhooks","count":28},{"language":"default","tag":"Submissions","count":25},{"language":"default","tag":"Accounts","count":24},{"language":"default","tag":"Integration Guide","count":18},{"language":"default","tag":"MAI55","count":18}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":":is(#sidebar,#mobile-nav) button:has(.nav-tag-pill-text[data-nav-tag])>div:has(>.nav-tag-pill){gap:0.75rem;justify-content:flex-start}:is(#sidebar,#mobile-nav) button:has(.nav-tag-pill-text[data-nav-tag])>div:has(>.nav-tag-pill)>.nav-tag-pill{flex:0 0 2rem;order:-1;width:2rem}:is(#sidebar,#mobile-nav) .nav-tag-pill-text[data-nav-tag]{font-size:0.55rem;line-height:1.25}:is(#sidebar,#mobile-nav) .nav-tag-pill-text[data-nav-tag=\"POST\"],:is(#sidebar,#mobile-nav) .nav-tag-pill-text[data-nav-tag=\"HOOK\"]{background-color:rgb(96 165 250 / 20%);color:rgb(29 78 216)}:is(#sidebar,#mobile-nav) .nav-tag-pill-text[data-nav-tag=\"GET\"]{background-color:rgb(74 222 128 / 20%);color:rgb(21 128 61)}:is(#sidebar,#mobile-nav) .nav-tag-pill-text[data-nav-tag=\"PATCH\"]{background-color:rgb(251 146 60 / 20%);color:rgb(194 65 12)}:is(#sidebar,#mobile-nav) .nav-tag-pill-text[data-nav-tag=\"PUT\"]{background-color:rgb(250 204 21 / 20%);color:rgb(161 98 7)}:is(#sidebar,#mobile-nav) .nav-tag-pill-text[data-nav-tag=\"DELETE\"]{background-color:rgb(248 113 113 / 20%);color:rgb(185 28 28)}.dark :is(#sidebar,#mobile-nav) .nav-tag-pill-text[data-nav-tag=\"POST\"],.dark :is(#sidebar,#mobile-nav) .nav-tag-pill-text[data-nav-tag=\"HOOK\"]{color:rgb(96 165 250)}.dark :is(#sidebar,#mobile-nav) .nav-tag-pill-text[data-nav-tag=\"GET\"]{color:rgb(74 222 128)}.dark :is(#sidebar,#mobile-nav) .nav-tag-pill-text[data-nav-tag=\"PATCH\"]{color:rgb(251 146 60)}.dark :is(#sidebar,#mobile-nav) .nav-tag-pill-text[data-nav-tag=\"PUT\"]{color:rgb(250 204 21)}.dark :is(#sidebar,#mobile-nav) .nav-tag-pill-text[data-nav-tag=\"DELETE\"]{color:rgb(248 113 113)}"}],"page":{"pagePath":"ledger/api/transactions/execute-transaction","slug":"/ledger/api/transactions/execute-transaction","pageMetadata":{"title":"Execute transaction","description":"Executes a transaction with one or more postings to move funds between ledger accounts. Returns 202 Accepted when the request is queued for processing.","sidebarTitle":"Execute transaction","openapi":"post /v1/transactions","href":"/ledger/api/transactions/execute-transaction"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Executes a transaction with one or more postings to move funds between ledger accounts. Returns 202 Accepted when the request is queued for processing.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Execute transaction","description":"Executes a transaction with one or more postings to move funds between ledger accounts. Returns 202 Accepted when the request is queued for processing.","sidebarTitle":"Execute transaction","openapi":"post /v1/transactions","href":"/ledger/api/transactions/execute-transaction"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Execute transaction","description":"Executes a transaction with one or more postings to move funds between ledger accounts. Returns 202 Accepted when the request is queued for processing.","tags":["Transactions"],"parameters":["3866b5e8-43d3-40c4-865f-5b1b1ccd7c46"],"requestBody":"0dee1ebd-00ab-4023-82d2-9559b0622471","responses":{"202":"a2e9290f-c05b-4a83-92d6-a8568d37dcef","400":"97311691-d849-4191-b34e-27060e4e359e","500":"7bfc34dc-e1eb-4d19-8521-2f423bc6455b"},"method":"post","type":"path","servers":[],"security":[],"path":"/v1/transactions","baseUrlOptions":[],"title":"Execute transaction","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"3866b5e8-43d3-40c4-865f-5b1b1ccd7c46":{"description":"Client-provided idempotency key. UUID v4 suggested, max 255 characters.","example":"550e8400-e29b-41d4-a716-446655440000","required":true,"name":"Idempotency-Key","in":"header","schema":{"maxLength":255,"pattern":"\\S","type":"string","isRequired":true,"description":"Client-provided idempotency key. UUID v4 suggested, max 255 characters.","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"description":"Request to execute a transaction with one or more postings","required":["referenceId","postings"],"type":"object","properties":{"referenceId":{"description":"Reference identifier linking transaction to its origin. For payment-originated transactions, this contains the payment identification. Used to trace transactions back to their source system.","pattern":"\\S","type":"string","example":"PAY-123456","isRequired":true,"uniqueKey":"referenceId","typeLabel":"string"},"postings":{"description":"List of postings (debits and credits) that make up the transaction","maxItems":100,"minItems":1,"type":"array","items":{"description":"A single posting representing a movement of funds between two ledger accounts","required":["source","destination","currency","details"],"type":"object","properties":{"source":{"description":"Address of the source ledger account from which funds are debited. Format: CUSTOMER:{partyId}:{accountId}:CURRENT/HOLDING or INTERNAL:CLEARING:INBOUND/OUTBOUND or INTERNAL:REVENUE:FEE or INTERNAL:SUSPENSE or world","pattern":"CUSTOMER:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}:(CURRENT|HOLDING)|INTERNAL:CLEARING:(INBOUND|OUTBOUND)|INTERNAL:REVENUE:FEE|INTERNAL:SUSPENSE|world","type":"string","example":"CUSTOMER:019bdb2a-960f-789d-8955-21720e6cdeee:019bdb2a-960f-789d-8955-21720e6cdeed:CURRENT","isRequired":true,"uniqueKey":"postings.items.[INDEX].source","typeLabel":"string"},"destination":{"description":"Address of the destination ledger account to which funds are credited. Format: CUSTOMER:{partyId}:{accountId}:CURRENT/HOLDING or INTERNAL:CLEARING:INBOUND/OUTBOUND or INTERNAL:REVENUE:FEE or INTERNAL:SUSPENSE or world","pattern":"CUSTOMER:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}:(CURRENT|HOLDING)|INTERNAL:CLEARING:(INBOUND|OUTBOUND)|INTERNAL:REVENUE:FEE|INTERNAL:SUSPENSE|world","type":"string","example":"INTERNAL:REVENUE:FEE","isRequired":true,"uniqueKey":"postings.items.[INDEX].destination","typeLabel":"string"},"currency":{"description":"Currency code in ISO 4217 standard","pattern":"\\S","type":"string","example":"EUR","isRequired":true,"uniqueKey":"postings.items.[INDEX].currency","typeLabel":"string"},"details":{"description":"Free-text reason or description provided by the client/party/counterparty when initiating the transaction","pattern":"\\S","type":"string","example":"Payment for invoice #67","isRequired":true,"uniqueKey":"postings.items.[INDEX].details","typeLabel":"string"},"amount":{"description":"Transaction amount in minor units (cents). Only positive numerical values allowed.","multipleOf":1,"minimum":0,"exclusiveMinimum":true,"type":"number","example":10000,"uniqueKey":"postings.items.[INDEX].amount","typeLabel":"number"},"type":{"oneOf":[{"description":"Type of posting","default":"CREDIT_TRANSFER","enum":["FEES","CREDIT_TRANSFER"],"type":"string","example":"CREDIT_TRANSFER","uniqueKey":"postings.items.[INDEX].type.oneOf.0","typeLabel":"enum\u003cstring>"},{"description":"Type of posting","default":"CREDIT_TRANSFER","enum":["FEES","CREDIT_TRANSFER"],"type":"null","example":"CREDIT_TRANSFER","uniqueKey":"postings.items.[INDEX].type.oneOf.1","typeLabel":"null"}],"uniqueKey":"postings.items.[INDEX].type","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"postings.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"postings","typeLabel":"object[]"},"referenceSource":{"type":"string","description":"Source system for the reference identifier","default":"CLIENT","enum":["CLIENT","PLAIS"],"example":"CLIENT","uniqueKey":"referenceSource","typeLabel":"enum\u003cstring>"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"referenceId":"PAY-123456","postings":[{"source":"CUSTOMER:019bdb2a-960f-789d-8955-21720e6cdeee:019bdb2a-960f-789d-8955-21720e6cdeed:CURRENT","destination":"INTERNAL:REVENUE:FEE","currency":"EUR","details":"Payment for invoice #67","amount":10000,"type":"CREDIT_TRANSFER"}],"referenceSource":"CLIENT"}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"a2e9290f-c05b-4a83-92d6-a8568d37dcef":{"description":"Transaction execution request accepted","content":{"application/json":{"schema":{"description":"Response for accepted asynchronous requests","type":"object","properties":{"correlationId":{"description":"Correlation identifier for tracking the request through events","type":"string","example":"550e8400-e29b-41d4-a716-446655440000","uniqueKey":"correlationId","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"correlationId":"550e8400-e29b-41d4-a716-446655440000"}}},"exampleType":"generated"}},"exampleType":"generated"},"97311691-d849-4191-b34e-27060e4e359e":{"description":"Validation failed. See [Error Handling](/ledger/error-handling) for the response shape.","content":{"application/problem+json":{"schema":{"oneOf":[{"type":"object","description":"RFC 9457 problem details with a `violations` array describing each failed constraint.","required":["status","title","instance","violations"],"properties":{"status":{"format":"int32","description":"HTTP status code","type":"integer","example":400,"isRequired":true,"uniqueKey":"oneOf.0.status","typeLabel":"integer\u003cint32>"},"title":{"description":"Short, human-readable summary of the problem type","type":"string","isRequired":true,"uniqueKey":"oneOf.0.title","typeLabel":"string"},"instance":{"description":"URI reference identifying this occurrence of the problem","type":"string","isRequired":true,"uniqueKey":"oneOf.0.instance","typeLabel":"string"},"violations":{"description":"List of validation constraint violations","type":"array","items":{"description":"Single validation constraint violation","required":["field","in","message"],"type":"object","properties":{"field":{"description":"Name of the field that failed validation","type":"string","isRequired":true,"uniqueKey":"oneOf.0.violations.items.[INDEX].field","typeLabel":"string"},"in":{"description":"Part of the HTTP request where the violation occurred","enum":["query","path","header","form","body"],"type":"string","isRequired":true,"uniqueKey":"oneOf.0.violations.items.[INDEX].in","typeLabel":"enum\u003cstring>"},"message":{"description":"Human-readable description of the violation","type":"string","isRequired":true,"uniqueKey":"oneOf.0.violations.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"oneOf.0.violations.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"oneOf.0.violations","typeLabel":"object[]"}},"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","description":"RFC 9457 problem details. See [Error Handling](/ledger/error-handling) for the response shape.","required":["status","title","instance"],"properties":{"status":{"format":"int32","description":"HTTP status code","type":"integer","example":500,"isRequired":true,"uniqueKey":"oneOf.1.status","typeLabel":"integer\u003cint32>"},"title":{"description":"Short, human-readable summary of the problem type","type":"string","isRequired":true,"uniqueKey":"oneOf.1.title","typeLabel":"string"},"instance":{"description":"URI reference identifying this occurrence of the problem","type":"string","isRequired":true,"uniqueKey":"oneOf.1.instance","typeLabel":"string"},"detail":{"oneOf":[{"description":"Human-readable explanation specific to this occurrence of the problem","type":"string","uniqueKey":"oneOf.1.detail.oneOf.0","typeLabel":"string"},{"description":"Human-readable explanation specific to this occurrence of the problem","type":"null","uniqueKey":"oneOf.1.detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.detail","typeLabel":"string | null"}},"uniqueKey":"oneOf.1","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":400,"title":"\u003cstring>","instance":"\u003cstring>","violations":[{"field":"\u003cstring>","in":"query","message":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"7bfc34dc-e1eb-4d19-8521-2f423bc6455b":{"description":"Internal server error","content":{"application/problem+json":{"schema":{"description":"RFC 9457 problem details. See [Error Handling](/ledger/error-handling) for the response shape.","required":["status","title","instance"],"type":"object","properties":{"status":{"format":"int32","description":"HTTP status code","type":"integer","example":500,"isRequired":true,"uniqueKey":"status","typeLabel":"integer\u003cint32>"},"title":{"description":"Short, human-readable summary of the problem type","type":"string","isRequired":true,"uniqueKey":"title","typeLabel":"string"},"instance":{"description":"URI reference identifying this occurrence of the problem","type":"string","isRequired":true,"uniqueKey":"instance","typeLabel":"string"},"detail":{"oneOf":[{"description":"Human-readable explanation specific to this occurrence of the problem","type":"string","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"description":"Human-readable explanation specific to this occurrence of the problem","type":"null","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":500,"title":"\u003cstring>","instance":"\u003cstring>","detail":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{}},"originalFileLocation":"api/ledger-openapi.yaml"},"subdomain":"inventi","siteName":"Inventi Payment Platform","title":"Execute transaction - Inventi Payment Platform","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-02-10T03:32:21.243Z","gitLastModified":"2026-03-31T11:04:20.000Z","originalFileLocation":"ledger/api/transactions/execute-transaction.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Executes a transaction with one or more postings to move funds between ledger accounts. Returns 202 Accepted when the request is queued for processing.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Inventi Payment Platform\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/inventi/05haiGvzf7LwNMsW/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/inventi/05haiGvzf7LwNMsW/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/inventi/05haiGvzf7LwNMsW/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/inventi/05haiGvzf7LwNMsW/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/inventi/05haiGvzf7LwNMsW/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/inventi/05haiGvzf7LwNMsW/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/inventi/05haiGvzf7LwNMsW/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/inventi/05haiGvzf7LwNMsW/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/inventi/05haiGvzf7LwNMsW/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Execute transaction - Inventi Payment Platform\">\u003cmeta data-mint-head property=\"og:description\" content=\"Executes a transaction with one or more postings to move funds between ledger accounts. Returns 202 Accepted when the request is queued for processing.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Inventi Payment Platform\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.finventi.com/ledger/api/transactions/execute-transaction\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://inventi.mintlify.site/_mintlify/api/og/v2?division=Transactions\u0026amp;title=Execute+transaction\u0026amp;description=Executes+a+transaction+with+one+or+more+postings+to+move+funds+between+ledger+accounts.+Returns+202+Accepted+when+the+request+is+queued+for+processing.\u0026amp;theme=b22c223e9b3a2361bc4186fa\u0026amp;signature=6f3a4f223569e08f4b16ac36bdf11e5eb3f01b8d84504347fc2d0ca11b62b6bd\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Execute transaction - Inventi Payment Platform\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Executes a transaction with one or more postings to move funds between ledger accounts. Returns 202 Accepted when the request is queued for processing.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://inventi.mintlify.site/_mintlify/api/og/v2?division=Transactions\u0026amp;title=Execute+transaction\u0026amp;description=Executes+a+transaction+with+one+or+more+postings+to+move+funds+between+ledger+accounts.+Returns+202+Accepted+when+the+request+is+queued+for+processing.\u0026amp;theme=b22c223e9b3a2361bc4186fa\u0026amp;signature=6f3a4f223569e08f4b16ac36bdf11e5eb3f01b8d84504347fc2d0ca11b62b6bd\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/inventi/05haiGvzf7LwNMsW/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Inventi Payment Platform\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.finventi.com/ledger/api/transactions/execute-transaction\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/ledger/api/transactions/execute-transaction.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.finventi.com/#organization\",\"name\":\"Inventi Payment Platform\",\"url\":\"https://docs.finventi.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/inventi/vYl_CweoKVMNP1A3/logo/light.svg?fit=max\u0026auto=format\u0026n=vYl_CweoKVMNP1A3\u0026q=85\u0026s=fb94419eace1a10bbe867e3dc7b6eadc\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.finventi.com#website\",\"name\":\"Inventi Payment Platform\",\"url\":\"https://docs.finventi.com\",\"publisher\":{\"@id\":\"https://docs.finventi.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.finventi.com/ledger/api/transactions/execute-transaction#webpage\",\"url\":\"https://docs.finventi.com/ledger/api/transactions/execute-transaction\",\"name\":\"Execute transaction\",\"description\":\"Executes a transaction with one or more postings to move funds between ledger accounts. Returns 202 Accepted when the request is queued for processing.\",\"dateModified\":\"2026-03-31T11:04:20.000Z\",\"isPartOf\":{\"@id\":\"https://docs.finventi.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.finventi.com/ledger/api/transactions/execute-transaction#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.finventi.com/ledger/api/transactions/execute-transaction#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Inventi Payment Platform\",\"item\":\"https://docs.finventi.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Execute transaction\",\"item\":\"https://docs.finventi.com/ledger/api/transactions/execute-transaction\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.finventi.com/ledger/api/transactions/execute-transaction#apireference\",\"headline\":\"Execute transaction\",\"name\":\"Execute transaction\",\"description\":\"Executes a transaction with one or more postings to move funds between ledger accounts. Returns 202 Accepted when the request is queued for processing.\",\"url\":\"https://docs.finventi.com/ledger/api/transactions/execute-transaction\",\"mainEntityOfPage\":{\"@id\":\"https://docs.finventi.com/ledger/api/transactions/execute-transaction#webpage\"},\"dateModified\":\"2026-03-31T11:04:20.000Z\",\"publisher\":{\"@id\":\"https://docs.finventi.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.finventi.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Inventi Payment Platform\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Inventi Payment Platform","nav":{"global":null,"tabs":[{"tab":"Payments","pages":[{"title":"Payments","href":"/payments/overview"}]},{"tab":"VoP","pages":[{"title":"VoP","href":"/vop/overview"}]},{"tab":"Ledger","groups":[{"group":"Getting Started","pages":[{"title":"Ledger API Overview","sidebarTitle":"Overview","href":"/ledger/overview"},{"title":"Authentication","sidebarTitle":"Authentication","href":"/ledger/authentication"},{"title":"Error Handling","sidebarTitle":"Error Handling","href":"/ledger/error-handling"}]},{"group":"Parties","pages":[{"title":"Create party","sidebarTitle":"Create party","openapi":"post /v1/parties","href":"/ledger/api/parties/create-party"},{"title":"Get party","sidebarTitle":"Get party","openapi":"get /v1/parties/{id}","href":"/ledger/api/parties/get-party"},{"title":"Update party","sidebarTitle":"Update party","openapi":"put /v1/parties/{id}","href":"/ledger/api/parties/update-party"}]},{"group":"Accounts","pages":[{"title":"Create account","sidebarTitle":"Create account","openapi":"api/ledger-openapi.json post /v1/accounts","href":"/ledger/api/accounts/create-account"},{"title":"Get list of accounts","sidebarTitle":"Get accounts","openapi":"get /v1/accounts","href":"/ledger/api/accounts/get-accounts"},{"title":"Get account by ID","sidebarTitle":"Get account","openapi":"get /v1/accounts/{accountId}","href":"/ledger/api/accounts/get-account-by-id"},{"title":"List account restrictions","sidebarTitle":"List restrictions","openapi":"get /v1/accounts/{accountId}/restrictions","href":"/ledger/api/accounts/list-account-restrictions"},{"title":"Create account restriction","sidebarTitle":"Create restriction","openapi":"post /v1/accounts/{accountId}/restrictions","href":"/ledger/api/accounts/create-account-restriction"},{"title":"Lift account restriction","sidebarTitle":"Lift restriction","openapi":"post /v1/accounts/{accountId}/restrictions/{restrictionId}:lift","href":"/ledger/api/accounts/lift-account-restriction"},{"title":"Close account","sidebarTitle":"Close account","openapi":"post /v1/accounts/{accountId}:close","href":"/ledger/api/accounts/close-account"},{"title":"Block account","sidebarTitle":"Block account","openapi":"post /v1/accounts/{accountId}:block","href":"/ledger/api/accounts/block-account"},{"title":"Unblock account","sidebarTitle":"Unblock account","openapi":"post /v1/accounts/{accountId}:unblock","href":"/ledger/api/accounts/unblock-account"}]},{"group":"Account Statements","pages":[{"title":"Get account statements","sidebarTitle":"Get account statements","openapi":"get /v1/account-statements","href":"/ledger/api/account-statements/get-account-statement"}]},{"group":"Payments","pages":[{"title":"Initiate payment","sidebarTitle":"Initiate payment","openapi":"post /v1/payments","href":"/ledger/api/payments/create-payment"},{"title":"Get payment","description":"Retrieves payment details by ID","sidebarTitle":"Get payment","openapi":"get /v1/payments/{paymentId}","href":"/ledger/api/payments/get-payment"}]},{"group":"Transactions","pages":[{"title":"Execute transaction","sidebarTitle":"Execute transaction","openapi":"post /v1/transactions","href":"/ledger/api/transactions/execute-transaction"},{"title":"Get transaction by ID","description":"Returns transaction details including postings and metadata","sidebarTitle":"Get transaction","openapi":"get /v1/transactions/{id}","href":"/ledger/api/transactions/get-transaction"}]},{"group":"Transaction Postings","pages":[{"title":"Search transaction postings","sidebarTitle":"Search transaction postings","openapi":"get /v1/transaction-postings","href":"/ledger/api/transaction-postings/search-transaction-postings"}]},{"group":"Oversight","pages":[{"title":"Request payment oversight decision","sidebarTitle":"Request decision","openapi":"webhook oversightDecision","href":"/ledger/oversight/request-oversight-decision"}]},{"group":"Webhooks","pages":[{"title":"Party Created","openapi":"webhook party-created","href":"/ledger/webhooks/party-created"},{"title":"Party Creation Failed","openapi":"webhook party-creation-failed","href":"/ledger/webhooks/party-creation-failed"},{"title":"Party Updated","openapi":"webhook party-updated","href":"/ledger/webhooks/party-updated"},{"title":"Party Update Failed","openapi":"webhook party-update-failed","href":"/ledger/webhooks/party-update-failed"},{"title":"Account Created","openapi":"webhook account-created","href":"/ledger/webhooks/account-created"},{"title":"Account Creation Failed","openapi":"webhook account-creation-failed","href":"/ledger/webhooks/account-creation-failed"},{"title":"Account Blocked","openapi":"webhook account-blocked","href":"/ledger/webhooks/account-blocked"},{"title":"Account Block Failed","openapi":"webhook account-block-failed","href":"/ledger/webhooks/account-block-failed"},{"title":"Account Unblocked","openapi":"webhook account-unblocked","href":"/ledger/webhooks/account-unblocked"},{"title":"Account Unblock Failed","openapi":"webhook account-unblock-failed","href":"/ledger/webhooks/account-unblock-failed"},{"title":"Account Closed","openapi":"webhook account-closed","href":"/ledger/webhooks/account-closed"},{"title":"Account Close Failed","openapi":"webhook account-close-failed","href":"/ledger/webhooks/account-close-failed"},{"title":"Account Balance Updated","openapi":"webhook account-balance-updated","href":"/ledger/webhooks/account-balance-updated"},{"title":"Account Restriction Created","openapi":"webhook account-restriction-created","href":"/ledger/webhooks/account-restriction-created"},{"title":"Account Restriction Creation Failed","openapi":"webhook account-restriction-creation-failed","href":"/ledger/webhooks/account-restriction-creation-failed"},{"title":"Account Restriction Lifted","openapi":"webhook account-restriction-lifted","href":"/ledger/webhooks/account-restriction-lifted"},{"title":"Account Restriction Lift Failed","openapi":"webhook account-restriction-lift-failed","href":"/ledger/webhooks/account-restriction-lift-failed"},{"title":"Payment Created","openapi":"webhook payment-created","href":"/ledger/webhooks/payment-created"},{"title":"Payment Creation Failed","openapi":"webhook payment-creation-failed","href":"/ledger/webhooks/payment-creation-failed"},{"title":"Payment Completed","openapi":"webhook payment-completed","href":"/ledger/webhooks/payment-completed"},{"title":"Payment Failed","openapi":"webhook payment-failed","href":"/ledger/webhooks/payment-failed"},{"title":"Payment Returned","openapi":"webhook payment-returned","href":"/ledger/webhooks/payment-returned"},{"title":"Payment Return Rejected","openapi":"webhook payment-return-rejected","href":"/ledger/webhooks/payment-return-rejected"},{"title":"Transaction Executed","openapi":"webhook transaction-executed","href":"/ledger/webhooks/transaction-executed"},{"title":"Transaction Execution Failed","openapi":"webhook transaction-execution-failed","href":"/ledger/webhooks/transaction-execution-failed"}]}]},{"tab":"Open Banking","pages":[{"title":"Open Banking","href":"/open-banking/overview"}]},{"tab":"Regulatory","pages":[{"title":"Regulatory","href":"/regulatory/overview"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog/payments"}]},{"tab":"Upcoming Changes","hidden":true,"pages":[{"title":"Upcoming Changes","href":"/upcoming-changes/upcoming-changes"}]}]},"basePath":"","title":"Execute transaction - Inventi Payment Platform","buildId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","deploymentId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CBsVopKK.js","utils-DZAk68jJ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D32AYZrP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D_A5_cny.js","snippetPresets-xNRfS9th.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BIB25-tq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CydJ4w4j.js","shallow-CYPBeQSG.js","getApiPlaygroundDisplay-A5xJVBOu.js","CodeSnippet-BVRTgi3m.js","CodeSnippets-DjD6BSlt.js","Page-Dr40SSJq.js","getPastedJson-D4V4JyrR.js","icon-uhcnG22T.js","MethodPill-CM-ZQdGH.js","DuplicateIcon-B_WnOiNf.js","createIcon-CJsb8utt.js","DynamicMarkdown-D-2HDKEp.js","SectionHeading-KP5xmMgQ.js","axios-vUo_bRtp.js","Markdown-D_k0dg6k.js","clsx-DK3K4Z1S.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DE3EVdvd.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-fN9H9n9g.js"]}